EntityJSEvents.addGoalSelectors('savage_and_ravage:iceologer', event => {
    event.arbitraryGoal(1, (e) => {
        return new WizardAttackGoal(e, 1, 120) // Parameters: entity, movement speed modifier, cast interval
            .setSpells(
                [Spell.of('irons_spellbooks:fireball')], // Attack
                [Spell.of('irons_spellbooks:magma_bomb')], // Defense
                [], // Movement
                [Spell.of('irons_spellbooks:fire_breath')] // Support
            )
    })
})